Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventProfileAccentColorChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventProfileAccentColorChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventProfileAccentColorChanged extends TdApi.ChatEventAction
The chat's profile accent color or profile background custom emoji were changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`newProfileAccentColorId`
New identifier of chat's profile accent color; -1 if none.
`long`
`newProfileBackgroundCustomEmojiId`
New identifier of the custom emoji; 0 if none.
`int`
`oldProfileAccentColorId`
Previous identifier of chat's profile accent color; -1 if none.
`long`
`oldProfileBackgroundCustomEmojiId`
Previous identifier of the custom emoji; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventProfileAccentColorChanged()`
The chat's profile accent color or profile background custom emoji were changed.
`ChatEventProfileAccentColorChanged(int oldProfileAccentColorId, long oldProfileBackgroundCustomEmojiId, int newProfileAccentColorId, long newProfileBackgroundCustomEmojiId)`
The chat's profile accent color or profile background custom emoji were changed.
`ChatEventProfileAccentColorChanged(DataInput input)`
The chat's profile accent color or profile background custom emoji were changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldProfileAccentColorId

public int oldProfileAccentColorId
Previous identifier of chat's profile accent color; -1 if none.

### oldProfileBackgroundCustomEmojiId

public long oldProfileBackgroundCustomEmojiId
Previous identifier of the custom emoji; 0 if none.

### newProfileAccentColorId

public int newProfileAccentColorId
New identifier of chat's profile accent color; -1 if none.

### newProfileBackgroundCustomEmojiId

public long newProfileBackgroundCustomEmojiId
New identifier of the custom emoji; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventProfileAccentColorChanged

public ChatEventProfileAccentColorChanged()
The chat's profile accent color or profile background custom emoji were changed.

### ChatEventProfileAccentColorChanged

public ChatEventProfileAccentColorChanged(int oldProfileAccentColorId, long oldProfileBackgroundCustomEmojiId, int newProfileAccentColorId, long newProfileBackgroundCustomEmojiId)
The chat's profile accent color or profile background custom emoji were changed.

Parameters:
  `oldProfileAccentColorId` - Previous identifier of chat's profile accent color; -1 if none.
  `oldProfileBackgroundCustomEmojiId` - Previous identifier of the custom emoji; 0 if none.
  `newProfileAccentColorId` - New identifier of chat's profile accent color; -1 if none.
  `newProfileBackgroundCustomEmojiId` - New identifier of the custom emoji; 0 if none.

### ChatEventProfileAccentColorChanged

public ChatEventProfileAccentColorChanged(DataInput input) throws IOException
The chat's profile accent color or profile background custom emoji were changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`